Subject: "If you edit it by hand, you could mess it up"

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 21 Dec 2019 08:02:23 +0800

Here's a problem that I think illustrates a departure from Dr.
Stallman's original goals (which include to keep the user "in the know",
"in control.")

Let's say the user wants to make the font bigger.
In emacs he goes into the menu bar and picks "Options" > "Set
Default Font", makes it bigger, and then chooses "Save Options", which
pastes some "custom-set" code into his .emacs file
that even contains a warning "If you edit it by hand, you could mess it up",
meaning for the rest of his life he should just play it safe and stick
with the menus.

It might as well just paste some compiled bytecode in there.
There isn't even any good old fashioned setq versions the user could
learn with and expand left around in any temporary buffer. Nor is there
any decompiler command provided.